CursorModule = CursorModule or BeardLib:ModuleClass("Cursor", ItemModuleBase)

function CursorModule:RegisterHook()
	local config = self._config

	Hooks:PostHook(TweakData, "_init_pd2", config.id .. "AddCursorData", function(td_self)
		td_self.cursors = td_self.cursors or {}

		if td_self.cursors[config.id] then
			self:Err("Cursor with id '%s' already exists!", config.id)
			return
		end

		td_self.cursors[config.id] = config
	end)
end