Hooks:PostHook(TweakData, "_init_pd2", "LegendaryCursorSkins_TweakData", function(self)
	self.cursors = self.cursors or {}

	----------------------
	--	Generic Cursors --
	----------------------

	self.cursors.default = {
		texture = "guis/textures/mouse_pointer",
		size = {
			width = 19,
			height = 23
		},
		point_offset = {
			x = 7,
			y = 2
		}
	}

	self.cursors.flipped = {
		texture = "guis/textures/cursors/flipped",
		point_offset = {
			x = 7,
			y = 20
		}
	}

	self.cursors.windows = {
		texture = "guis/textures/cursors/windows",
		size = {
			width = 23,
			height = 31
		},
		point_offset = {
			x = 11,
			y = 11
		}
	}

	self.cursors.shiny = {
		texture = "guis/textures/cursors/shiny",
		frames = 3,
		frame_time = 0.1,
		size = {
			width = 11,
			height = 20
		},
		point_offset = {
			x = 1,
			y = 1
		}
	}

	-------------------
	-- Gamer Cursors --
	-------------------

	self.cursors.stalker = {
		texture = "guis/textures/cursors/games/stalker",
		frames = 8,
		frame_time = 0.1,
		size = {
			width = 39,
			height = 40
		},
		point_offset = {
			x = 2,
			y = 2
		}
	}

	self.cursors.sonic = {
		texture = "guis/textures/cursors/games/sonic",
		size = {
			width = 32,
			height = 32
		},
		point_offset = {
			x = 8,
			y = 7
		}
	}

end)